## net-snmp 5.1.1

=== dist/Makefile ===
# ======================================================================
# $Source: /cvsroot/net-snmp/net-snmp/dist/Makefile,v $
# $Revision: 1.5.2.2 $
# $Date: 2004/03/20 07:00:47 $
# $Author: hardaker $
# $Name: Ext-5-1-1 $
# $State: Exp $
# ======================================================================

# Makefile for generating rpm package files (.rpm) for net-snmp.

# GNU 'make'-specific features are used in this makefile.
# Other makes may or may not work with it.
# See http://www.gnu.org/manual/make/index.html for details.

SHELL = /bin/sh

# Define the RPM package name
NAME = net-snmp

# Define the default RPM release number.
VERSION = 5.0.8
RELEASE = 1

VERSION_TAG=`echo Ext-$(VERSION) | sed 's/\./-/g;'`

VER=$(VERSION)
REL=$(RELEASE)

WITH_PERL=1

# Define the RPM architecture, i.e., 'noarch', 'i386', 'i686', etc.
ARCH = i386

# Directory structure expected by 'rpm' program
RPM_BASE := $(PWD)/rpm

RPM_TREE := \
    $(RPM_BASE)/BUILD \
    $(RPM_BASE)/RPMS \
    $(RPM_BASE)/SOURCES \
    $(RPM_BASE)/SPECS \
    $(RPM_BASE)/SRPMS

.PHONY:	all clean rpm_files binary_rpm source_rpm all_rpm

all:	all_rpm_files

# Delete all generated files.
clean:
	rm -rf $(RPM_BASE)

# --------------------------------------------------------------------
# Macros and rules for updating net-snmp-x.x.x.tar.gz.
# 'rpm' expects a compressed archive (.tar.gz) of the source directory
# to exist (in the rpm/SOURCES directory) before it is run.
# --------------------------------------------------------------------
CVSROOT = :pserver:anonymous@cvs.net-snmp.sourceforge.net:/cvsroot/net-snmp

PKG_VER := $(NAME)-$(VER)

GZIP_TAR := $(RPM_BASE)/SOURCES/$(PKG_VER).tar.gz

gzip_tar:	$(GZIP_TAR)

$(GZIP_TAR):
	@echo "Creating a compressed archive of the package's source files..."
	(cd $(RPM_BASE)/SOURCES; \
	cvs -d$(CVSROOT) login; \
	cvs -z3 -d$(CVSROOT) export -r$(VERSION_TAG) $(NAME); \
	mv $(NAME) $(PKG_VER); \
	tar cf $(PKG_VER).tar $(PKG_VER); \
	gzip $(PKG_VER).tar)
	@echo "A compressed archive of the package's source-file tree has been created."

# --------------------------------------------------------------------
# Macros and rules for updating the binary and source RPM package files.
# --------------------------------------------------------------------
# Redefine '%_topdir' to allow an RPM package file to be built anywhere,
# instead of in the /usr/src/redhat directory tree.
#
# Don't want 'rpmbuild' to strip your executable programs?
# Then add this line:
#   --define='_os_install_post /usr/lib/rpm/brp-compress' \
# to the RPM_OPTS macro definition.  This will eliminate the 
# stripping of binaries, but still retain the compression of
# manual pages.
#
PERLOPTS=--define='with_perl $(WITH_PERL)'

RPM_OPTS := \
    --define='_topdir $(PWD)/rpm' \
    --define='_includedir /usr/include/net-snmp' \
    --define='version $(VER)' \
    --define='release $(REL)' \
    --target $(ARCH) $(PERLOPTS)

SPEC_FILE  := $(NAME).spec
RPM_SPEC   := $(RPM_BASE)/SPECS/$(SPEC_FILE)

BINARY_RPM := $(RPM_BASE)/RPMS/$(ARCH)/$(PKG_VER)-$(REL).$(ARCH).rpm
SOURCE_RPM := $(RPM_BASE)/SRPMS/$(PKG_VER)-$(REL).src.rpm

rpm_files:	$(GZIP_TAR) all_rpm_files
binary_rpm:	$(BINARY_RPM)
source_rpm:	$(SOURCE_RPM)

all_rpm_files:	$(RPM_TREE) $(RPM_SPEC)
	(cd $(RPM_BASE)/SPECS; \
	rpmbuild -ba $(RPM_OPTS) $(SPEC_FILE))

$(BINARY_RPM):	$(RPM_TREE) $(RPM_SPEC)
	(cd $(RPM_BASE)/SPECS; \
	rpmbuild -bb $(RPM_OPTS) $(SPEC_FILE))

$(SOURCE_RPM):	$(RPM_TREE) $(RPM_SPEC)
	(cd $(RPM_BASE)/SPECS; \
	rpmbuild -bs $(RPM_OPTS) $(SPEC_FILE))

$(RPM_SPEC):	$(RPM_BASE)/SPECS $(SPEC_FILE)
	cp $(SPEC_FILE) $@

$(RPM_TREE):
	mkdir -p $@

$(SPEC_FILE):
	@echo "ERROR: missing '$(SPEC_FILE)' in the current directory"
	@exit 1

FORCE:

# === End of Makefile === #

## net-snmp 5.1.2

=== dist/Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 # ======================================================================
 # $Source: /cvsroot/net-snmp/net-snmp/dist/Makefile,v $
-# $Revision: 1.5.2.2 $
-# $Date: 2004/03/20 07:00:47 $
-# $Author: hardaker $
-# $Name: Ext-5-1-1 $
+# $Revision: 1.5.2.3 $
+# $Date: 2004/08/07 08:03:44 $
+# $Author: rstory $
+# $Name: Ext-5-1-2 $
 # $State: Exp $
 # ======================================================================

## net-snmp 5.2.2

=== dist/Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 # ======================================================================
 # $Source: /cvsroot/net-snmp/net-snmp/dist/Makefile,v $
-# $Revision: 1.5.2.3 $
-# $Date: 2004/08/07 08:03:44 $
-# $Author: rstory $
-# $Name: Ext-5-1-2 $
+# $Revision: 1.8.2.8 $
+# $Date: 2005/11/29 05:34:05 $
+# $Author: hardaker $
+# $Name: Ext-5-2-2 $
 # $State: Exp $
 # ======================================================================
 
@@ -18,19 +18,16 @@
 # Define the RPM package name
 NAME = net-snmp
 
-# Define the default RPM release number.
-VERSION = 5.0.8
-RELEASE = 1
+# Define the default RPM release number. Set by VersionMunge.pl
+VERSION = 5.2.2
 
 VERSION_TAG=`echo Ext-$(VERSION) | sed 's/\./-/g;'`
 
-VER=$(VERSION)
-REL=$(RELEASE)
-
 WITH_PERL=1
+EMBED_PERL=0
 
 # Define the RPM architecture, i.e., 'noarch', 'i386', 'i686', etc.
-ARCH = i386
+ARCH = `uname -m`
 
 # Directory structure expected by 'rpm' program
 RPM_BASE := $(PWD)/rpm
@@ -57,7 +54,7 @@
 # --------------------------------------------------------------------
 CVSROOT = :pserver:anonymous@cvs.net-snmp.sourceforge.net:/cvsroot/net-snmp
 
-PKG_VER := $(NAME)-$(VER)
+PKG_VER := $(NAME)-$(VERSION)
 
 GZIP_TAR := $(RPM_BASE)/SOURCES/$(PKG_VER).tar.gz
 
@@ -86,24 +83,28 @@
 # stripping of binaries, but still retain the compression of
 # manual pages.
 #
-PERLOPTS=--define='with_perl $(WITH_PERL)'
+ifeq ($(WITH_PERL),1)
+PERLOPTS = --with perl_modules
+endif
+ifeq ($(EMBED_PERL),1)
+PERLOPTS += --with embedded_perl
+endif
 
 RPM_OPTS := \
     --define='_topdir $(PWD)/rpm' \
     --define='_includedir /usr/include/net-snmp' \
-    --define='version $(VER)' \
-    --define='release $(REL)' \
     --target $(ARCH) $(PERLOPTS)
 
 SPEC_FILE  := $(NAME).spec
 RPM_SPEC   := $(RPM_BASE)/SPECS/$(SPEC_FILE)
 
-BINARY_RPM := $(RPM_BASE)/RPMS/$(ARCH)/$(PKG_VER)-$(REL).$(ARCH).rpm
-SOURCE_RPM := $(RPM_BASE)/SRPMS/$(PKG_VER)-$(REL).src.rpm
+BINARY_RPM := $(RPM_BASE)/RPMS/$(ARCH)/$(PKG_VER)-$(RELEASE).$(ARCH).rpm
+SOURCE_RPM := $(RPM_BASE)/SRPMS/$(PKG_VER)-$(RELEASE).src.rpm
 
 rpm_files:	$(GZIP_TAR) all_rpm_files
 binary_rpm:	$(BINARY_RPM)
 source_rpm:	$(SOURCE_RPM)
+rpm_tree: $(RPM_TREE)
 
 all_rpm_files:	$(RPM_TREE) $(RPM_SPEC)
 	(cd $(RPM_BASE)/SPECS; \

## net-snmp 5.4.3~dfsg

=== debian/changelog ===
net-snmp (5.4.3~dfsg-2.8+deb7u1) stable-proposed-updates; urgency=medium

  * debian/patches
    - add bug#721224_entries_over50.patch to fix "snmpd: produces error if the
      Executables/scripts entries in snmpd.conf is over 50" taken patch from
      Red Hat Bugzilla.
      Thanks to "Christian Ruppert" <c.ruppert@babiel.com> for the report
      (Closes: #721224) 
    - add TrapReceiver.patch to fix CVE-2014-2285
    - add CVE-2014-3565.patch taken from upstream to fix CVE-2014-3565
      (Closes: #760132)
    - add CVE-2012-6151.patch taken from Fedora to fix CVE-2012-6151

 -- Hideki Yamane <henrich@debian.org>  Tue, 16 Sep 2014 00:27:07 +0900

net-snmp (5.4.3~dfsg-2.8) stable; urgency=medium

  * Non-maintainer upload.
  * Fix agentx subagent issues with multiple-object requests and increasing
    object length (CVE-2014-2310) (Closes: #684388)

 -- Simon Paillard <spaillard@debian.org>  Mon, 17 Mar 2014 20:56:52 +0100

net-snmp (5.4.3~dfsg-2.7) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/27_kfreebsd_bug625985.patch: New patch, fix build error on
    kfreebsd-*, by Steven Chamberlain (closes: #625985).

 -- Michael Banck <mbanck@debian.org>  Sat, 24 Nov 2012 13:30:51 +0100

net-snmp (5.4.3~dfsg-2.6) unstable; urgency=low

  * Non-maintainer upload.
  * debian/libsnmp-perl.postinst: Fix directory to symlink upgrade in
    postinst (closes: #692949)

 -- David Prévot <taffit@debian.org>  Sun, 18 Nov 2012 09:24:30 -0400

net-snmp (5.4.3~dfsg-2.5) unstable; urgency=medium

  * Non-maintainer upload by the Security Team.
  * Fix CVE-2012-2141 by using Ubuntu's patch (Closes: #672492).
  * Do not ship *.la files (Closes: #633166).
  * Enable hardened build flags and fix missing format strings 
    (Closes: #657519).
  * Source debconf before doing work in postinst (Closes: #626312).
  * Fix check for existing snmp group in postinst (Closes: #609430).
  * Use *-any architecture qualifiers (Closes: #634735).
  * Add Indonesian debconf translation (Closes: #654166).
  * Add Polish debconf translation (Closes: #661252).

 -- Luk Claes <luk@debian.org>  Sun, 27 May 2012 17:22:01 +0200

net-snmp (5.4.3~dfsg-2.4) unstable; urgency=low

  * Non-maintainer upload.
  * Trivial lintian fix: don't use braces in libsnmp-dev.install
  * Fix pending l10n issues. Debconf translations:
    - Korean (si-cheol KO).  Closes: #630948
    - Slovak (Slavko).  Closes: #634988
    - Serbian (Zlatan Todoric).  Closes: #635066
    - Serbian Latin (Zlatan Todoric).  Closes: #635067
    - Catalan; (Innocent De Marchi).  Closes: #641829

 -- Christian Perrier <bubulle@debian.org>  Mon, 19 Dec 2011 07:34:31 +0100

net-snmp (5.4.3~dfsg-2.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix for init script status command when trapd is not running.  Thanks to
    Steve Camfield <steve.camfield@scamfield.co.uk> for the patch
    (closes: #610306)

 -- Stephen Gran <sgran@debian.org>  Sat, 27 Aug 2011 09:10:09 +0000

net-snmp (5.4.3~dfsg-2.2) unstable; urgency=high

  * Non-maintainer upload.
  * Fix FTBFS on kfreebsd-* by updating 44_nlist_kvm.patch to detect nlist
    (in libbsd), thanks to Jakub Wilk (Closes: #625985).
  * Add build-dependency on libbsd-dev on kfreebsd-* accordingly.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 09 May 2011 11:12:31 +0200

net-snmp (5.4.3~dfsg-2.1) unstable; urgency=high

  [ Julien Cristau ]
  * Non-maintainer upload to fix FTBFS (closes: #625730).
  * Don't hardcode SHELL to /bin/sh in Makefile.top, libtool wants bash
    (closes: #617212).
  * Add missing libraries to link commands to make newer gcc happy (closes:
    #555767, #615756).

  [ Cyril Brulebois ]
  * Do the 3.0 (quilt) dance to get Julien's patches applied.
  * Add some bug closures.

 -- Cyril Brulebois <kibi@debian.org>  Sat, 07 May 2011 12:14:26 +0200

net-snmp (5.4.3~dfsg-2) unstable; urgency=high

  * Add libperl-dev to libsnmp-dev dependencies (Closes: #608794)
  * Add missing include to 61_vacm_missing_dependency_check.patch
    (Closes: #602809)
  * High urgency due to RC bug fixes

 -- Jochen Friedrich <jochen@scram.de>  Wed, 05 Jan 2011 13:03:32 +0100

net-snmp (5.4.3~dfsg-1) unstable; urgency=low

  * New upstream version (Closes: #559109)
    - includes fix for CVE-2008-4309
    - includes fix for CVE-2008-6123 (Closes: #516801)
    - AgentX support listens on localhost (only) by default
    - support for monitoring large disks (>2Tb)
    - improved handling of multiple matching access control entries
  * Remove patches included upstream:
    - 31_silence_subcontainer.patch
    - 57_fix_ipv6_memleak.patch
    - 59_fix_python.patch
  * Update patches:
    - 03_makefiles.patch
    - 07_docfiles.patch
    - 08_defaultconfig.patch
    - 32_mnttab_path.patch
    - 56_manpage.patch (Closes: #582400)
    - 60_libsensors_api.patch (Closes: #575810)
  * Switch to dpkg-source 3.0 (quilt) format
  * Bump Standards version to 3.8.4
  * Moved snmp.conf from snmp to libsnmp15
  * Don't bind to 172.0.0.1 in snmpd.default anymore. This is now
    done in the upstream sample snmpd.conf file. Trying to bind to
    127.0.0.1 in both places will make snmpd fail to start, at all.

 -- Jochen Friedrich <jochen@scram.de>  Thu, 10 Jun 2010 18:02:54 +0200

net-snmp (5.4.2.1~dfsg-5) unstable; urgency=low

  * Add conditional depends back that were lost in the build system
    change (Closes: #560408)
  * Install all provided NET-SNMP MIBs.
  * Install snmp.conf with empty MIB list so snmp tools work without
    complaining about missing MIBs. (Closes: #559200)
  * Add /usr/share/mibs/site and /usr/share/snmp/mibs to MIB search path
    (Closes: #560371)

 -- Jochen Friedrich <jochen@scram.de>  Tue, 15 Dec 2009 14:59:44 +0100

net-snmp (5.4.2.1~dfsg-4) unstable; urgency=low

  * Update 26_kfreebsd.patch with patch from Petr Salinger
    <Petr.Salinger@seznam.cz> (Closes: #557244).
  * Applied patch from Jakub Wilk <ubanus@users.sf.net> to make the


=== debian/control ===
Source: net-snmp
Section: net
Priority: optional
Maintainer: Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>
Uploaders: Jochen Friedrich <jochen@scram.de>, Thomas Anders <tanders@users.sourceforge.net>, Noah Meyerhans <noahm@debian.org>
Build-Depends: debhelper (>= 7.0.50~), libtool, libwrap0-dev, libssl-dev (>> 0.9.8), perl (>=5.8), libperl-dev, python-all-dev (>= 2.5.4-1~), python-central (>=0.5.6), python (>=2.3.5-7), python-setuptools (>=0.6b3), autoconf, automake1.9, autotools-dev, debianutils (>=1.13.1), bash (>=2.05), findutils (>=4.1.20), procps, libbsd-dev [kfreebsd-any], libkvm-dev [kfreebsd-any], libsensors4-dev [linux-any]
Standards-Version: 3.8.4
Vcs-Svn: svn://svn.debian.org/pkg-net-snmp/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-net-snmp/
XS-Python-Version: all
Homepage: http://net-snmp.sourceforge.net/

Package: snmpd
Section: net
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, debconf, lsb-base (>= 3.2-13)
Description: SNMP (Simple Network Management Protocol) agents
 The Simple Network Management Protocol (SNMP) provides a framework
 for the exchange of management information between agents (servers)
 and clients.
 .
 The Net-SNMP agent is a daemon which listens for incoming SNMP
 requests from clients and provides responses.

Package: snmp
Section: net
Priority: optional
Architecture: any
Recommends: perl-modules
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SNMP (Simple Network Management Protocol) applications
 The Simple Network Management Protocol (SNMP) provides a framework
 for the exchange of management information between agents (servers)
 and clients. 
 .
 The Net-SNMP applications are a collection of command line clients
 for issuing SNMP requests to agents.

Package: libsnmp-base
Section: libs
Priority: optional
Architecture: all
Replaces: libsnmp-dev (<< 5.4~dfsg), libsnmp9-dev (<< 5.4~dfsg)
Conflicts: libsnmp-dev (<< 5.4~dfsg), libsnmp9-dev (<< 5.4~dfsg)
Depends: ${misc:Depends}
Suggests: snmp-mibs-downloader
Description: SNMP (Simple Network Management Protocol) MIBs and documentation
 The Simple Network Management Protocol (SNMP) provides a framework
 for the exchange of management information between agents (servers)
 and clients.
 .
 This package includes documentation and MIBs (Management Information
 Bases) for the SNMP libraries, agents and applications. MIBs contain
 a formal description of the data that can be managed using SNMP.
 and applications.

Package: libsnmp15
Section: libs
Priority: optional
Architecture: any
Replaces: libsnmp-base (<< 5.4.2.1~dfsg-4), snmp (<< 5.4.3~dfsg-1)
Depends: libsnmp-base (>=${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: SNMP (Simple Network Management Protocol) library
 The Simple Network Management Protocol (SNMP) provides a framework
 for the exchange of management information between agents (servers)
 and clients.
 .
 The Net-SNMP library contains common functions for the construction,
 sending, receiving, decoding, and manipulation of the SNMP requests
 and responses.

Package: libsnmp15-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libsnmp15 (=${binary:Version}), ${misc:Depends}
Description: SNMP (Simple Network Management Protocol) library debug
 The Simple Network Management Protocol (SNMP) provides a framework
 for the exchange of management information between agents (servers)
 and clients.
 .
 This package contains the debug symbols for the Net-SNMP libraries.

Package: libsnmp-dev
Section: libdevel
Priority: optional
Architecture: any
Replaces: libsnmp9-dev, libsnmp15-dev, snmp (<< 5.4~dfsg)
Provides: libsnmp9-dev
Conflicts: libsnmp-dev, libsnmp9-dev, libsnmp15-dev, snmp (<< 5.4~dfsg)
Depends: libc6-dev, libsnmp15 (=${binary:Version}), libsnmp-perl (=${binary:Version}), libwrap0-dev, libssl-dev, procps, libkvm-dev [kfreebsd-any], libsensors4-dev [linux-any], ${misc:Depends}, libperl-dev
Description: SNMP (Simple Network Management Protocol) development files
 The Simple Network Management Protocol (SNMP) provides a framework
 for the exchange of management information between agents (servers)
 and clients.
 .
 The Net-SNMP development files include the library headers, static
 libraries, and documentation needed for development of custom SNMP
 applications.

Package: libsnmp-perl
Section: perl
Priority: optional
Architecture: any
Depends: ${perl:Depends}, libsnmp15 (=${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: SNMP (Simple Network Management Protocol) Perl5 support
 The Simple Network Management Protocol (SNMP) provides a framework
 for the exchange of management information between agents (servers)
 and clients.
 .
 The Net-SNMP Perl5 support files provide the Perl functions for
 integration of SNMP into applications written in Perl.

Package: libsnmp-python
Section: python
Priority: optional
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Description: SNMP (Simple Network Management Protocol) Python support
 The Simple Network Management Protocol (SNMP) provides a framework
 for the exchange of management information between agents (servers)
 and clients.
 .
 The Net-SNMP Python support files provide the Python functions for
 integration of SNMP into applications written in Python.

Package: tkmib
Section: net
Priority: optional
Architecture: all
Depends: libsnmp-perl (>=${source:Version}), perl-tk, ${misc:Depends}
Description: SNMP (Simple Network Management Protocol) MIB browser
 The Simple Network Management Protocol (SNMP) provides a framework
 for the exchange of management information between agents (servers)
 and clients.
 .
 The Net-SNMP MIB (Management Information Base) Browser provides a
 graphical frontend for the Net-SNMP tools. It can be used to browse
 the MIB tree and interactively send requests to SNMP agents.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/python/python.mk

LIB_VERSION = 15
UPSTREAM_VERSION = $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ':' | sed 's/ //' | sed 's/~dfsg.*$$//')
COMPAT_VERSION = $(UPSTREAM_VERSION)~dfsg
PYTHON_VERSION = 1.0a1

MIB_MODULES = smux ucd-snmp/dlmod
EXCL_MIB_MODULES =

PYVERS=$(shell pyversions -vr)

ifeq (linux,$(DEB_HOST_ARCH_OS))
MIB_MODULES += ucd-snmp/diskio ucd-snmp/lmSensors 
IPV6 = --enable-ipv6
DEB_DH_GENCONTROL_ARGS=-- -Vos-specific-dev="libsensors4-dev"
else
ifeq (kfreebsd,$(DEB_HOST_ARCH_OS))
IPV6 = --disable-ipv6
DEB_DH_GENCONTROL_ARGS=-- -Vos-specific-dev="libkvm-dev"
endif
endif
ifeq (hurd,$(DEB_HOST_ARCH_OS))
IPV6 = --enable-ipv6
EXCL_MIB_MODULES += mibII
else
MIB_MODULES += host
endif

DEB_CFLAGS_MAINT_APPEND=-DNETSNMP_USE_INLINE

%:
	dh --with python-central $@

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	ln -f -s /usr/share/misc/config.guess .
	ln -f -s /usr/share/misc/config.sub .
	libtoolize --install --copy
	aclocal
	autoheader
	autoconf
	dh_auto_configure -- --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man \
	  --with-persistent-directory=/var/lib/snmp \
	  --enable-ucd-snmp-compatibility \
	  --enable-shared $(shell dpkg-buildflags --export=configure) \
	  --with-perl-modules="INSTALLDIRS=vendor" --enable-as-needed \
	  $(IPV6) --with-logfile=none \
	  --without-rpm --with-libwrap --with-openssl \
	  --without-dmalloc --without-efence --without-rsaref \
	  --with-sys-contact="root" --with-sys-location="Unknown" \
	  --with-mib-modules="$(MIB_MODULES)" \
	  --with-out-mib-modules="$(EXCL_MIB_MODULES)" \
	  --enable-mfd-rewrites \
	  --with-mnttab=/etc/mtab \
	  --with-mibdirs="\$$HOME/.snmp/mibs:/usr/share/mibs/site:/usr/share/snmp/mibs:/usr/share/mibs/iana:/usr/share/mibs/ietf:/usr/share/mibs/netsnmp" \
	  --with-defaults

.PHONY: override_dh_clean
override_dh_clean:
	dh_clean
	rm -rf `find . -name .libs`
	rm -rf `find . -name .svn`
	find . -name *\.py[co] -exec rm {} \;
	find debian -name python-*-stamp-* -exec rm {} \;
	rm -rf python/build
	rm -rf python/netsnmp_python.egg-info

.PHONY: override_dh_auto_build
override_dh_auto_build:
	dh_auto_build -- LD_RUN_PATH=

.PHONY: override_dh_auto_install
override_dh_auto_install: $(PYVERS:%=debian/python-build-stamp-%)
	dh_auto_install -- INSTALL_PREFIX=$(CURDIR)/debian/tmp DESTDIR=$(CURDIR)/debian/tmp
	# Install the "broke" headers
	cp agent/mibgroup/struct.h debian/tmp/usr/include/net-snmp/agent
	cp agent/mibgroup/util_funcs.h debian/tmp/usr/include/net-snmp
	cp agent/mibgroup/mibincl.h debian/tmp/usr/include/net-snmp/library
	cp agent/mibgroup/header_complex.h debian/tmp/usr/include/net-snmp/agent
	# Remove the snmpcheck program since we don't support it (yet).
	rm debian/tmp/usr/bin/snmpcheck
	# Copy the .conf files.
	mkdir -p debian/tmp/etc/snmp
	cp EXAMPLE.conf debian/tmp/etc/snmp/snmpd.conf
	cp EXAMPLE-trap.conf debian/tmp/etc/snmp/snmptrapd.conf
	cp debian/snmp.conf debian/tmp/etc/snmp/snmp.conf
	mv debian/tmp/usr/share/snmp/mib2c*.conf debian/tmp/etc/snmp
	dh_installdocs -plibsnmp-base mibs/README.mibs
	# Perform other man pages fixups.
	bash ./debian/fixman

.PHONY: override_dh_auto_test
dh_auto_test:

.PHONY: override_dh_makeshlibs
override_dh_makeshlibs:
	dh_makeshlibs -plibsnmp$(LIB_VERSION) -V"libsnmp$(LIB_VERSION) (>= $(COMPAT_VERSION))"

.PHONY: override_dh_strip
override_dh_strip:
	dh_strip -plibsnmp$(LIB_VERSION) --dbg-package=libsnmp$(LIB_VERSION)-dbg
	dh_strip

.PHONY: override_dh_install
override_dh_install: $(PYVERS:%=debian/python-install-stamp-%)
	dh_installexamples -plibsnmp-perl $(shell ls -d perl/SNMP/examples/* | grep -v SCCS)
	dh_install

.PHONY: override_dh_installdocs
override_dh_installdocs:
	dh_installdocs
	rm -rf debian/libsnmp-dev/usr/share/doc/libsnmp-dev
	rm -rf debian/libsnmp$(LIB_VERSION)-dbg/usr/share/doc/libsnmp$(LIB_VERSION)-dbg
	rm -rf debian/libsnmp-perl/usr/share/doc/libsnmp-perl
	ln -sf libsnmp$(LIB_VERSION) debian/libsnmp-dev/usr/share/doc/libsnmp-dev
	ln -sf libsnmp$(LIB_VERSION) debian/libsnmp$(LIB_VERSION)-dbg/usr/share/doc/libsnmp$(LIB_VERSION)-dbg
	ln -sf libsnmp$(LIB_VERSION) debian/libsnmp-perl/usr/share/doc/libsnmp-perl

.PHONY: override_dh_fixperms
override_dh_fixperms:
	dh_fixperms
	chmod 600 debian/snmpd/etc/snmp/snmp*d.conf

debian/python-build-stamp-%:
	# Build python modules manually as the net-snmp Makefile is too limited.
	cd python; python$* setup.py build --basedir=$(CURDIR)
	touch $@

debian/python-install-stamp-%:
	# Build python modules manually as the net-snmp Makefile is too limited.
	cd python; python$* setup.py install --root $(CURDIR)/debian/tmp $(py_setup_install_args)
	mv debian/tmp/usr/lib/python$*/$(call py_sitename, $*)/netsnmp_python-$(PYTHON_VERSION).egg-info \
	   debian/tmp/usr/lib/python$*/$(call py_sitename, $*)/netsnmp_python.egg-info
	touch $@

get-orig-source:
	@uscan --download-version $(UPSTREAM_VERSION) --destdir /tmp --force-download --no-symlink
	@tar xfz /tmp/net-snmp-$(UPSTREAM_VERSION).tar.gz -C /tmp
	@rm -rf /tmp/net-snmp-$(UPSTREAM_VERSION)/doc
	@cd /tmp/net-snmp-$(UPSTREAM_VERSION)/mibs; \
	cat rfclist ianalist | while read rfc mibs; do rm -f `echo $$mibs | sed 's/:/.txt /g' | sed 's/$$/.txt/'`; done
	@rm -f /tmp/net-snmp-$(UPSTREAM_VERSION)/mibs/RFC-1215.txt
	@cd /tmp; tar czf net-snmp_$(COMPAT_VERSION).orig.tar.gz net-snmp-$(UPSTREAM_VERSION)
	@rm -rf /tmp/net-snmp-$(UPSTREAM_VERSION)

## net-snmp 5.7.2~dfsg

=== dist/Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # ======================================================================
-# $Source: /cvsroot/net-snmp/net-snmp/dist/Makefile,v $
-# $Revision: 1.8.2.8 $
-# $Date: 2005/11/29 05:34:05 $
-# $Author: hardaker $
-# $Name: Ext-5-2-2 $
-# $State: Exp $
+# $Source$
+# $Revision$
+# $Date$
+# $Author$
+# $Name$
+# $State$
 # ======================================================================
 
 # Makefile for generating rpm package files (.rpm) for net-snmp.
@@ -18,16 +18,16 @@
 # Define the RPM package name
 NAME = net-snmp
 
-# Define the default RPM release number. Set by VersionMunge.pl
-VERSION = 5.2.2
+# Define the default RPM release number. Set by Version-Munge.pl
+VERSION = 5.7.2
 
 VERSION_TAG=`echo Ext-$(VERSION) | sed 's/\./-/g;'`
 
 WITH_PERL=1
-EMBED_PERL=0
+EMBED_PERL=1
 
-# Define the RPM architecture, i.e., 'noarch', 'i386', 'i686', etc.
-ARCH = `uname -m`
+# Define the RPM architecture, i.e., 'ppc', 'i386', etc.
+ARCH = `uname -i`
 
 # Directory structure expected by 'rpm' program
 RPM_BASE := $(PWD)/rpm
@@ -52,7 +52,7 @@
 # 'rpm' expects a compressed archive (.tar.gz) of the source directory
 # to exist (in the rpm/SOURCES directory) before it is run.
 # --------------------------------------------------------------------
-CVSROOT = :pserver:anonymous@cvs.net-snmp.sourceforge.net:/cvsroot/net-snmp
+CVSROOT = :pserver:anonymous@net-snmp.cvs.sourceforge.net:/cvsroot/net-snmp
 
 PKG_VER := $(NAME)-$(VERSION)
 
@@ -83,15 +83,15 @@
 # stripping of binaries, but still retain the compression of
 # manual pages.
 #
-ifeq ($(WITH_PERL),1)
-PERLOPTS = --with perl_modules
+ifeq ($(WITH_PERL),0)
+PERLOPTS = --without perl_modules
 endif
-ifeq ($(EMBED_PERL),1)
-PERLOPTS += --with embedded_perl
+ifeq ($(EMBED_PERL),0)
+PERLOPTS += --without embedded_perl
 endif
 
 RPM_OPTS := \
-    --define='_topdir $(PWD)/rpm' \
+    --define='_topdir $(RPM_BASE)' \
     --define='_includedir /usr/include/net-snmp' \
     --target $(ARCH) $(PERLOPTS)

=== debian/changelog ===
net-snmp (5.7.2~dfsg-8ubuntu1) saucy; urgency=low

  * Merge from Debian unstable (LP: #1200516).  Remaining changes:
    + Add apport hook (LP: #533603):
      - debian/source.apport: apport hook
      - debian/control: Build-depends on dh-apport.
      - debian/rules:
        + Add --with apport.
        + override_dh_apport to install hook on snmpd package only.
  * Call dh_installinit correctly to avoid installing links in rc[06].d

 -- Yolanda Robla <yolanda.robla@canonical.com>  Fri, 12 Jul 2013 09:47:12 +0200

net-snmp (5.7.2~dfsg-8) unstable; urgency=low

  * add libsnmp-perl.preinst to deal with empty directory by libsnmp15
    package removal (Closes: #709761) 
  * {snmp,snmpd}.postinst: deal with "copyright file missing after upgrade
    (policy 12.5)" (Closes: #709087)

 -- Hideki Yamane <henrich@debian.org>  Thu, 06 Jun 2013 08:49:02 +0900

net-snmp (5.7.2~dfsg-7) unstable; urgency=low

  * debian/control
    - libsnmp-base: update to more policy polite (Breaks/Replaces: libsnmp15
      (<<5.7.2~dfsg-5)), thanks to James McCoy
  * debian/snmp.preinst
    - fix incomplete script.

 -- Hideki Yamane <henrich@debian.org>  Mon, 20 May 2013 14:19:36 +0900

net-snmp (5.7.2~dfsg-6) unstable; urgency=low

  * debian/rules
    - Fix Hurd build issue, thanks Pino Toscano <pino@debian.org> for
      the patch (Closes: #708951)
  * debian/snmpd.init
    - patch from Ubuntu, LSBified
  * debian/snmp.pre{inst,rm}
    - patch from Ubuntu, Kill any/all processes owned by snmp user before
      install/uninstall.
  * debian/control
    - add "Conflicts: libsnmp15" to libsnmp-base since moving net-snmp-config
      in previous version cause trouble (Closes: #708983)

 -- Hideki Yamane <henrich@debian.org>  Mon, 20 May 2013 08:49:14 +0900

net-snmp (5.7.2~dfsg-5) unstable; urgency=low

  * debian/control
    - fix typo and improve description, thanks to Martin Eberhard Schauer
      <Martin.E.Schauer@gmx.de> for the patch (Closes: #708519)
    - libsnmp-base: add "Conflicts: libsnmp30 (<< 5.7.2~dfsg-5)" since
      net-snmp-config file moves from libsnmp30 to libsnmp-base
      (Closes: #708298)
    - update descriptions
  * debian/{libsnmp-base,libsnmp30}.install: update

 -- Hideki Yamane <henrich@debian.org>  Sun, 19 May 2013 23:09:52 +0900

net-snmp (5.7.2~dfsg-4ubuntu1) saucy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules: Don't stop service in runlevels 0 and 6.
    - debian/snmpd.init: LSBify the init script.
    - debian/snmp.preinst, debian/snmp.prerm: Kill any/all processes owned
      by snmp user before install/uninstall.
    - Add apport hook.
  * debian/patches/ubuntu-fix-lp-587828.patch: Drop. Fixed upstream.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 16 May 2013 21:01:27 -0400

net-snmp (5.7.2~dfsg-4) unstable; urgency=low

  * debian/snmpd.{init,default,postinst}
    - silly bug related to handle /var/run/agentx directory 
      (Closes: #708335, #708328) Thanks to Hilmar Preuße <hille42@web.de> and
      Vincent Bernat <bernat@debian.org> for reporting

 -- Hideki Yamane <henrich@debian.org>  Wed, 15 May 2013 22:21:39 +0900

net-snmp (5.7.2~dfsg-3) unstable; urgency=low

  * Upload to unstable
  * debian/control 
    - specify version for "Breaks: libsnmp15"

 -- Hideki Yamane <henrich@debian.org>  Thu, 09 May 2013 20:38:28 +0900

net-snmp (5.7.2~dfsg-2) experimental; urgency=low

  * debian/snmpd.{postinst,postrm}
    - avoid failure with /var/run/agentx 
  * debian/control
    - add "Breaks: libsnmp15" to snmp since snmp.conf moves from it.

 -- Hideki Yamane <henrich@debian.org>  Fri, 26 Apr 2013 16:02:01 +0900

net-snmp (5.7.2~dfsg-1) experimental; urgency=low

  * debian/control
    - add myself to Uploaders. Thanks, Jochen.
  * debian/snmpd.{dirs,init,postinst}
    - ensure /var/run/agentx exists since maybe /var/run would be tmpfs, so
      would disappear with reboot. Thanks to lintian.
  * debian/patches
    - add fix_manpage-has-errors_break_line.patch

 -- Hideki Yamane <henrich@debian.org>  Fri, 26 Apr 2013 07:47:09 +0900

net-snmp (5.7.2~dfsg-1~0.2) experimental; urgency=low

  * Non-maintainer upload.
  * debian/rules
    - don't specify installdocs -plibsnmp-perl twice.
    - add dh_python2 to avoid missing dependency (Closes: #704864)
  * debian/control
    - set XS-Python-Version: 2.7 to avoid that dh_python2 would fail

 -- Hideki Yamane <henrich@debian.org>  Tue, 09 Apr 2013 10:42:56 +0900

net-snmp (5.7.2~dfsg-1~0.1) experimental; urgency=low

  * Non-maintainer upload.
  * New upstream version 5.7.2 (Closes: #557348, #631063, #684388, #599929,
    #673197, #581185, #558356, #568550, #514842, #445608, #557186, #411858,
    #428824, #611837, #495060, #527231, #583391, #572414, #668545, #344979,
    #397573)
  * debian/control
    - set "Standards-Version: 3.9.4"
    - set "Build-Depends: debhelper (>= 9)" to enable hardening
    - set "Build-Depends: automake", instead of automake1.9
    - drop "Build-Depends: python-central", use dh_python2 by default, instead
    - remove duplicational "Priority:" and "Section:" fields
    - make it "Multi-Arch" enable
    - add description for non-free snmp-mibs-downloader for users' convinience
      (Closes: #561124)
    - add "Build-Depends: libmysqld-dev" to support MySQL
    - add "Build-Depends: dh-autoreconf"
    - use python-all (2.6.6-3~) instead of python-all-dev (>= 2.5.4-1~), python
      (>=2.3.5-7) for Build-Depends
    - add "Build-Depends: python2.7-dev"
    - s/libsnmp-python/python-netsnmp/ as Python Policy compliant
      (Closes: #661899)
    - Add libsnmp-base to snmp and snmpd's Depends and remove it from
      libsnmp30, also remove "Depends: libsnmp-perl (=${binary:Version})" from
      libsnmp-dev to adjust dependencies in Multi-Arch compliant.
    - simplify libsnmp-perl's Depends to avoid piuparts error
    - remove "Conflicts: libsnmp-dev" from libsnmp-dev
    - point to git://anonscm.debian.org/pkg-net-snmp/pkg-net-snmp.git for
      Vcs-* fields


=== debian/control ===
Source: net-snmp
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>
Uploaders: Jochen Friedrich <jochen@scram.de>, Thomas Anders <tanders@users.sourceforge.net>, Noah Meyerhans <noahm@debian.org>,
 Hideki Yamane <henrich@debian.org>
Build-Depends: debhelper (>= 9), libtool, libwrap0-dev, libssl-dev (>> 0.9.8), perl (>=5.8), libperl-dev,
 python-all (>= 2.6.6-3~), python-setuptools (>=0.6b3), python2.7-dev,
 autoconf, automake, autotools-dev, debianutils (>=1.13.1), dh-autoreconf,
 bash (>=2.05), findutils (>=4.1.20), procps, 
 libbsd-dev [kfreebsd-i386 kfreebsd-amd64], 
 libkvm-dev [kfreebsd-i386 kfreebsd-amd64], 
 libsensors4-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
 libmysqld-dev, dh-apport
Build-Conflicts: libsnmp-dev
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/pkg-net-snmp/pkg-net-snmp.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-net-snmp/pkg-net-snmp.git
XS-Python-Version: 2.7
Homepage: http://net-snmp.sourceforge.net/

Package: snmpd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, debconf, lsb-base (>= 3.2-13), libsnmp-base
Description: SNMP (Simple Network Management Protocol) agents
 The Simple Network Management Protocol (SNMP) provides a framework
 for the exchange of management information between agents (servers)
 and clients.
 .
 The Net-SNMP agent is a daemon which listens for incoming SNMP
 requests from clients and provides responses.

Package: snmp
Architecture: any
Recommends: perl-modules
Depends: ${shlibs:Depends}, ${misc:Depends}, libsnmp-base
Breaks: libsnmp15 (<< 5.7.2~dfsg-0.1)
Description: SNMP (Simple Network Management Protocol) applications
 The Simple Network Management Protocol (SNMP) provides a framework
 for the exchange of management information between agents (servers)
 and clients. 
 .
 The Net-SNMP applications are a collection of command line clients
 for issuing SNMP requests to agents.

Package: libsnmp-base
Section: libs
Architecture: all
Replaces: libsnmp-dev (<< 5.4~dfsg), libsnmp9-dev (<< 5.4~dfsg), libsnmp15 (<< 5.7.2~dfsg-5)
Conflicts: libsnmp-dev (<< 5.4~dfsg), libsnmp9-dev (<< 5.4~dfsg), libsnmp30 (<< 5.7.2~dfsg-5)
Breaks: libsnmp15 (<< 5.7.2~dfsg-5)
Depends: ${misc:Depends}
Suggests: snmp-mibs-downloader
Description: SNMP configuration script, MIBs and documentation
 The Simple Network Management Protocol (SNMP) provides a framework
 for the exchange of management information between agents (servers)
 and clients.
 .
 This package includes net-snmp-config scripts, documentation and MIBs
 (Management Information Bases) for the SNMP libraries, agents and
 applications. MIBs contain a formal description of the data that can be
 managed using SNMP and applications.
 .
 NOTE: If you want the OIDs (Object Identifiers) to resolve to their text
 description, you need to activate the non-free repository and install the
 "snmp-mibs-downloader" package.

Package: libsnmp30
Section: libs
Architecture: any
Replaces: libsnmp-base (<< 5.4.2.1~dfsg-4), snmp (<< 5.4.3~dfsg-1), libsnmp15
Breaks: libsnmp15
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libsnmp-base
Description: SNMP (Simple Network Management Protocol) library
 The Simple Network Management Protocol (SNMP) provides a framework
 for the exchange of management information between agents (servers)
 and clients.
 .
 The Net-SNMP library contains common functions for the construction,
 sending, receiving, decoding, and manipulation of the SNMP requests
 and responses.

Package: libsnmp30-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libsnmp30 (=${binary:Version}), ${misc:Depends}
Description: SNMP (Simple Network Management Protocol) library debug
 The Simple Network Management Protocol (SNMP) provides a framework
 for the exchange of management information between agents (servers)
 and clients.
 .
 This package contains the debug symbols for the Net-SNMP libraries.

Package: libsnmp-dev
Section: libdevel
Architecture: any
Replaces: libsnmp9-dev, libsnmp15-dev, snmp (<< 5.4~dfsg)
Provides: libsnmp9-dev
Conflicts: libsnmp9-dev, libsnmp15-dev, snmp (<< 5.4~dfsg)
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libc6-dev, libsnmp30 (=${binary:Version}), libwrap0-dev, libssl-dev, procps, libkvm-dev [kfreebsd-any], libsensors4-dev [linux-any], ${misc:Depends}
Description: SNMP (Simple Network Management Protocol) development files
 The Simple Network Management Protocol (SNMP) provides a framework
 for the exchange of management information between agents (servers)
 and clients.
 .
 The Net-SNMP development files include the library headers, static
 libraries, and documentation needed for development of custom SNMP
 applications.

Package: libsnmp-perl
Section: perl
Architecture: any
Depends: ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: SNMP (Simple Network Management Protocol) Perl5 support
 The Simple Network Management Protocol (SNMP) provides a framework
 for the exchange of management information between agents (servers)
 and clients.
 .
 The Net-SNMP Perl5 support files provide the Perl functions for
 integration of SNMP into applications written in Perl.

Package: python-netsnmp
Section: python
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Breaks: libsnmp-python
Replaces: libsnmp-python
Provides: libsnmp-python, ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: SNMP (Simple Network Management Protocol) Python support
 The Simple Network Management Protocol (SNMP) provides a framework
 for the exchange of management information between agents (servers)
 and clients.
 .
 The Net-SNMP Python support files provide the Python functions for
 integration of SNMP into applications written in Python.

Package: tkmib
Architecture: all
Depends: libsnmp-perl (>=${source:Version}), perl-tk, ${misc:Depends}
Description: SNMP (Simple Network Management Protocol) MIB browser
 The Simple Network Management Protocol (SNMP) provides a framework
 for the exchange of management information between agents (servers)
 and clients.
 .
 The Net-SNMP MIB (Management Information Base) Browser provides a
 graphical frontend for the Net-SNMP tools. It can be used to browse
 the MIB tree and interactively send requests to SNMP agents.

## net-snmp 5.7.2%7edfsg

=== debian/changelog ===
net-snmp (5.7.2~dfsg-8.1ubuntu3.1) trusty-security; urgency=medium

  * SECURITY UPDATE: denial of service via crafted SNMP trap message
    - debian/patches/CVE-2014-3565.patch: handle variables with wrong types
      in snmplib/mib.c.
    - CVE-2014-3565
  * SECURITY UPDATE: denial of service and possible code execution via
    incompletely parsed varBind variables
    - debian/patches/CVE-2015-5621.patch: don't return incorrectly parsed
      varbinds in snmplib/snmp_api.c.
    - CVE-2015-5621

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 13 Aug 2015 10:27:24 -0400

net-snmp (5.7.2~dfsg-8.1ubuntu3) trusty; urgency=medium

  * SECURITY UPDATE: denial of service via AgentX subagent timeout
    - debian/patches/CVE-2012-6151.patch: track cancelled sessions in
      agent/mibgroup/agentx/{master.c,master_admin.c}, agent/snmp_agent.c,
      include/net-snmp/agent/snmp_agent.h.
    - CVE-2012-6151
  * SECURITY UPDATE: denial of service when ICMP-MIB is in use
    - debian/patches/CVE-2014-2284.patch: fix ICMP mib table handling in
      agent/mibgroup/mibII/icmp.c, agent/mibgroup/mibII/kernel_linux.*.
    - CVE-2014-2284
  * SECURITY UPDATE: denial of service in perl trap handler
    - debian/patches/CVE-2014-2285.patch: handle empty community string in
      perl/TrapReceiver/TrapReceiver.xs.
    - CVE-2014-2285

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 08 Apr 2014 08:17:14 -0400

net-snmp (5.7.2~dfsg-8.1ubuntu2) trusty; urgency=medium

  * Add 00upstream-btrfs.patch: Add btrfs support to hrFSTable. Cherrypicked
    from upstream, by way of Nafallo Bjälevik. Thanks! (LP: #1289503)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 12 Mar 2014 13:24:18 +0100

net-snmp (5.7.2~dfsg-8.1ubuntu1) trusty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Add apport hook.
    - Avoid installing links in rc[06].d.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Oct 2013 06:29:46 -0700

net-snmp (5.7.2~dfsg-8.1) unstable; urgency=low

  * Non-maintainer upload.
  * Move net-snmp-config to libsnmp-dev package (Closes: #716805)
  * Mark libsnmp-base as Multi-Arch: foreign and drop Multi-Arch: same for
    libsnmp-dev package (Closes: #708302)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 13 Jul 2013 17:13:09 +0200

net-snmp (5.7.2~dfsg-8ubuntu2) trusty; urgency=low

  * Rebuild for Perl 5.18.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Oct 2013 12:30:05 +0100

## net-snmp 5.7.2.1~dfsg

=== debian/changelog ===
net-snmp (5.7.2.1~dfsg-7) unstable; urgency=medium

  * debian/patches
    - add CVE-2014-3565.patch taken from upstream to fix CVE-2014-3565
      (Closes: #760132)

 -- Hideki Yamane <henrich@debian.org>  Wed, 17 Sep 2014 15:56:45 +0900

net-snmp (5.7.2.1~dfsg-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "hardcodes /usr/lib/perl5":
    Make debian/libsnmp-perl.install executable and use $Config{vendorarch} to
    get the perl library directory. Patch from Niko Tyni.
    (Closes: #751918)
  * Fix "FTBFS on kfreebsd-amd64 - 'struct kinfo_proc' has no member
    named 'kp_eproc'":
    Add patch from Niko Tyni which fixes a DEFINE that changed between
    kfreebsd-kernel-headers 9 and 10.
    (Closes: #753144)
  * Fix "snmpd: Memory leak when SNMP GET request id is zero":
    add patch from upstream bug, prepared by Roland Stigge.
    (Closes: #746225)

 -- gregor herrmann <gregoa@debian.org>  Fri, 18 Jul 2014 14:48:18 +0200

net-snmp (5.7.2.1~dfsg-6) unstable; urgency=medium

  * debian/{snmpd.conf,patches/add_rocommunity6.patch}
    - fix typo, thanks to Uwe Storbeck <uwe@ibr.ch> for the report
      (Closes: #746399)
  * debian/control
    - libsnmp-dev: add "Depends: libpci-dev" (Closes: #744023)

 -- Hideki Yamane <henrich@debian.org>  Sun, 04 May 2014 10:55:05 +0900

net-snmp (5.7.2.1~dfsg-5) unstable; urgency=high

  * debian/patches
    - add ifmib.patch taken from upstream to work on systems without a PCI bus
      Thanks to Chris Boot <debian@bootc.net> and Sergey Dorofeev
      <sergey@fidoman.ru> for the report (Closes: #745919, #745956)

 -- Hideki Yamane <henrich@debian.org>  Sun, 27 Apr 2014 17:05:08 +0900

net-snmp (5.7.2.1~dfsg-4) unstable; urgency=medium

  * debian/*.init
    - fix incorrect sequence of options passed to start-stop-daemon
      Thanks to Mehul Sanghvi <mehul.sanghvi@gmail.com> (Closes: #745828)

 -- Hideki Yamane <henrich@debian.org>  Sat, 26 Apr 2014 14:19:55 +0900

net-snmp (5.7.2.1~dfsg-3) unstable; urgency=medium

  * Upload to unstable
  * debian/snmptrapd.init
    - fix "--force-reload" option (Closes: #525028)

 -- Hideki Yamane <henrich@debian.org>  Thu, 10 Apr 2014 00:08:03 +0900

net-snmp (5.7.2.1~dfsg-2) experimental; urgency=medium

  * fix broken debian/snmpd.postinst
  * debian/control
    - fix dependency for snmptrapd since '/usr/bin/traptoemail' is also in
      snmp (<< 5.7.2.1~dfsg-1)

 -- Hideki Yamane <henrich@debian.org>  Tue, 01 Apr 2014 23:15:15 +0900

net-snmp (5.7.2.1~dfsg-1) experimental; urgency=medium

  * New upstream release
    - fix DoS on ICMP-MIB as CVE-2014-2284 (Closes: #742817)
  * Ack NMU (Closes: #717419)
  * debian/patches
    - add add_rocommunity6.patch to fix snmpwalk using ipv6 (Closes: #717179)
    - add fix_manpage-has-errors-from-man.patch
    - add agentx-crash.patch, taken from Fedora package. It fixes CVE-2012-6151
      (Closes: #731625)
    - add TrapReceiver.patch to fix CVE-2014-2285
  * debian/control
    - set Standards-Version: 3.9.5
    - add "Build-Depends: libpci-dev" to enable libpci function that was
      introduced in 5.7 (Closes: #741504)
    - split snmptrapd from snmpd to allow to install only snmpd on systems that
      will never issue traps (Closes: #314902)
      + Also it separates mysql dependency (Closes: #715486)
  * debian/libsnmp-dev.install
    - add missing net-snmp-create-v3-user (Closes: #726158, #718988)
  * debian/upstream/signing-key.asc
    - check upstream PGP key
  * debian/rules
    - add etherlike-mib/dot3StatsTable (Closes: #729732, LP#1251847)
  * debian/snmpd.init
    - relax start-stop-daemons avoid restart daemon before it terminates.
      Thanks to Saj Goonatilleke <saj.goonatilleke@anchor.net.au> for the
      patch (Closes: #640456)
    - fix "init.d-script-does-not-source-init-functions" lintian warning
  * debian/snmptrapd.init
    - split it from snmpd.init (Closes: #724288)
  * debian/snmpd.postinst
    - fix weird user creation (Closes: #482041, #589040, #606784, #610630)
  * debian/snmpd.postrm
    - remove unnecessary old /var/agentx/master directory with purge
      (Closes: #728546)
  * debian/snmp.install
    - move traptoemail to snmptrapd.install releated to above changes
  * debian/{snmpd,snmptrapd}.default
    - fix pid diretory (Closes: #611668)
  * debian/README.Debian
    - note snmpconf is in snmp package (Closes: #577649)

 -- Hideki Yamane <henrich@debian.org>  Sun, 30 Mar 2014 19:58:39 +0900
